Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.editpolicy
Class CreateEditPoliciesOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.editpolicy.CreateEditPoliciesOperation

All Implemented Interfaces:
  IOperation

public class CreateEditPoliciesOperation
extends java.lang.Object
implements IOperation

The operation used with the EditPolicy Service.

Constructor Summary
`CreateEditPoliciesOperation(EditPart editPart)` Constructor for `CreateEditPoliciesOperation`.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`EditPart` `getEditPart()` Returns the editpart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateEditPoliciesOperation

    public CreateEditPoliciesOperation(EditPart editPart)

  Constructor for `CreateEditPoliciesOperation`.

Parameters:
  `editPart` - edit part to associate with this opertion

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getEditPart

    public final EditPart getEditPart()

  Returns the editpart.

  Returns:
    the editpart

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.